@charset "utf-8";

/* Общие */
@media (max-width: 1140px) {
    .ellipse1 {
        position: absolute;
        width: 100%;
        height: 250px;
        top: 0;
        left: 0;
        right: 0;
        background-image: url(../images/Ellipse1.png);
        background-repeat: no-repeat;
        background-position: bottom center;
        background-size: 200%;
    }

    .login-form {
        max-width: 500px;
        width: 100%;
        height: 100%;
        margin: auto;
        position: relative;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    .login-inputs {
        padding: 15px 0;
    }

    .login-language-value input+label {
        position: relative;
        padding-left: 30px;
        cursor: pointer;
        font-size: 11px;
    }

    .login-language-value input+label:after {
        content: '';
        position: absolute;
        top: -3px;
        left: 5px;
        width: 20px;
        height: 20px;
        border: 2px solid var(--color5);
        border-radius: 10px;
    }

    .login-language-value input:checked+label:before {
        content: '';
        position: absolute;
        top: 0px;
        left: 8px;
        width: 14px;
        height: 14px;
        background: rgb(162, 10, 255);
        background: linear-gradient(180deg, rgba(162, 10, 255, 1) 0%, rgba(2, 46, 178, 1) 100%);
        border-radius: 10px;
    }

    .left-panel-close {
        display: block;
    }

    .left-panel+.center-panel {
        padding-left: 0;
    }

    .center-panel {
        padding: 0 0;
    }

    .top-panel {
        display: block;
    }

    .left-panel {
        left: -350px;
    }

    .mobile-menu-open {
        left: 0;
    }

    .content-panel {
        padding: 0;
    }

    .address-wallet {
        background-color: var(--color8);
        padding: 15px 20px;
        border-radius: 20px;
        box-shadow: 0 2px 30px -10px rgb(0 0 0 / 30%);
        font-size: 14px;
    }

    .form-input-dual input {
        width: 85%;
        background-color: transparent;
        border-left: 1px solid var(--color3);
        border-top: 1px solid var(--color3);
        border-bottom: 1px solid var(--color3);
        border-right: none;
        padding: 10px;
        border-radius: 15px 0 0 15px;
    }

    .form-input-dual button {
        width: 15%;
        border-radius: 0 15px 15px 0;
    }

    .notification {
        position: absolute;
        top: 15px;
        left: 15px;
    }

    .generator-item {
        width: 100%;
        padding: 5px;
    }

    .generator-item-image-wrap {
        text-align: center;
        width: 100%;
    }

    .generator-item-image {
        margin: auto;
    }

    .confirmButtons {
        display: flex;
        flex-direction: column;
        justify-content: space-evenly;
    }

    .confirmButtons a {
        min-width: 100%;
        min-width: 100%;
    }

    .progress {
        display: flex;
        height: 1rem;
        overflow: hidden;
        font-size: .75rem;
        background-color: #432279;
        border-radius: 1rem;
        width: 85%;
        margin-right: 10px;
    }

    .progress-add {
        font-size: 16px;
    }

        .button-outline {
        color: var(--color1);
        font-size: 13px;
        font-family: var(--font-family-3);
        font-weight: 700;
        border-radius: 10px;
        padding: 8px 10px;
        text-decoration: none;
        margin: auto;
        display: block;
        border: 1px solid var(--color7);
        max-width: 270px;
        min-width: auto;
        text-align: center;
        cursor: pointer;
        -moz-transform: translateX(0px);
        -moz-transition: all 0.4s ease-in-out;
        -webkit-transform: translateX(0px);
        -webkit-transition: all 0.4s ease-in-out;
        -o-transform: translateX(0px);
        -o-transition: all 0.4s ease-in-out;
    }

    .form-input-dual-text button {
        width: 29%;
        box-sizing: border-box;
        border-radius: 0 15px 15px 0;
        color: var(--color1);
        padding: 20px 0;
        margin-left: -5px;
        font-size: 11px;
        vertical-align: bottom;
    }

    .upgrade-detal-item-image {
        width: 100%;
        text-align: center;
    }

    .upgrade-detal-item-image img {
        max-width: 100px;
    }

    .upgrade-detal-item-option {
        flex-grow: 1;
        flex-shrink: 1;
        padding: 5px 15px;
        box-sizing: border-box;
        width: 100%;
        text-align: center;
    }

    .upgrade-detal-item-title {
        margin-bottom: 5px;
        font-family: var(--font-family-3);
        font-size: 16px;
    }

    .installed-generator-buttons-col {
        width: 50%;
        padding: 5px;
    }

    .modal-body {
        padding: 15px 0;
    }

    .installed-upgrad-item-image {
        width: 20%;
    }

    .installed-upgrad-item-image img {
       /* width: 100%; */
    }

    .installed-upgrad-item-text {
        width: 80%;
    }

    .installed-upgrad-item-title {
        font-family: var(--font-family-3);
        margin-bottom: 5px;
        font-size: 12px;
    }

    .installed-upgrad-item-time {
        color: var(--color3);
        font-size: 12px;
        font-style: italic;
    }

    .settings-list,
    .settings-text {
        width: 100%;
        padding: 15px 15px 15px 0;
        box-sizing: border-box;
    }
}

/* Планшеты */
@media (min-width: 1140px) and (max-width: 1319px) {
    .generator-item {
        width: 50%;
        padding: 5px;
    }
}

/* Смартфоны горизонтальные и планшеты */
@media (min-width: 768px) and (max-width: 1139px) {
    .generator-item {
        width: 50%;
        padding: 5px;
    }
}

/* Смартфоны */
@media (max-width: 767px) {
    .generator-item {
        width: 100%;
        padding: 5px;
    }
    
    .installed-generator-options-col {
        width: 100%;
        padding: 5px 15px 5px 30px;
    }

.installed-generator-buttons-col {
    width: 100%;
}

.installed-generator-info-col {
    width: 100%;
}

.generator_image > div {
    transform: scale(0.7);
    margin:auto;
    margin-left: -60px;
}


.generator_image7 > div {
    transform: scale(0.7);
    margin-left: -87px;
}

}